Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar

## Class GenerateXSDCodeActionResolver

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractGenerateGrammarCodeActionResolver
  - - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.GenerateXSDCodeActionResolver

All Implemented Interfaces:
  `ICodeActionResolvesParticipant`

    public class GenerateXSDCodeActionResolver
    extends AbstractGenerateGrammarCodeActionResolver

Code action resolver participant to generate the missing XSD which is declared in the XML as association via xsi:noNamespaceSchemaLocation or xml-model.

Author:
  Angelo ZERR

### Field Summary

Fields
`static String` `PARTICIPANT_ID`

### Constructor Summary

Constructors
`GenerateXSDCodeActionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FileContentGeneratorSettings` `getFileContentGeneratorSettings()` Returns the grammar settings used to generate the missing grammar file (XSD, DTD).

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractGenerateGrammarCodeActionResolver

`resolveCodeAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARTICIPANT_ID

    public static final String PARTICIPANT_ID

### Constructor Detail

#### GenerateXSDCodeActionResolver

    public GenerateXSDCodeActionResolver()

### Method Detail

#### getFileContentGeneratorSettings

    protected FileContentGeneratorSettings getFileContentGeneratorSettings()

Description copied from class: `AbstractGenerateGrammarCodeActionResolver`
Returns the grammar settings used to generate the missing grammar file (XSD, DTD).

Specified by:
  `getFileContentGeneratorSettings` in class `AbstractGenerateGrammarCodeActionResolver`
Returns:
  the grammar settings used to generate the missing grammar file (XSD, DTD).